textureReference
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class textureReference

    java.lang.Object
      jcuda.runtime.textureReference

    public class textureReference

extends java.lang.Object

Java port of a textureReference.
Most comments are taken from the CUDA reference manual or CUDA programming guide.

Field Summary
`int[]` | `addressMode` Specifies the addressing mode, that is how out-of-range texture coordinates are handled.
`int` | `filterMode` Specifies the filtering mode, that is how the value returned when fetching the texture is computed based on the input texture coordinates.
`int` | `normalized` Specifies whether texture coordinates are normalized or not.

Constructor Summary
`textureReference()` Creates a new, uninitialized textureReference

Method Summary
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### normalized

    public int normalized

  Specifies whether texture coordinates are normalized or not. If it is non-zero, all elements in the texture are addressed with texture coordinates in the range [0,1] rather than in the range [0,width-1], [0,height-1], or [0,depth-1] where width, height, and depth are the texture sizes;

### filterMode

    public int filterMode

  Specifies the filtering mode, that is how the value returned when fetching the texture is computed based on the input texture coordinates. filterMode is equal to cudaFilterModePoint or cudaFilterModeLinear; if it is cudaFilterModePoint, the returned value is the texel whose texture coordinates are the closest to the input texture coordinates; if it is cudaFilterModeLinear, the returned value is the linear interpolation of the two (for a one-dimensional texture), four (for a two-dimensional texture), or eight (for a three-dimensional texture) texels whose texture coordinates are the closest to the input texture coordinates; cudaFilterModeLinear is only valid for returned values of floating-point type;

  See Also:
    `cudaTextureFilterMode`

### addressMode

    public int[] addressMode

  Specifies the addressing mode, that is how out-of-range texture coordinates are handled. addressMode is an array of size three whose first, second, and third elements specify the addressing mode for the first, second, and third texture coordinates, respectively; the addressing mode is equal to either cudaAddressModeClamp, in which case out-of-range texture coordinates are clamped to the valid range, or cudaAddressModeWrap, in which case out-of range texture coordinates are wrapped to the valid range; cudaAddressModeWrap is only supported for normalized texture coordinates;

  See Also:
    `cudaTextureAddressMode`

Constructor Detail

### textureReference

    public textureReference()

  Creates a new, uninitialized textureReference

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD